redmine5.1.3 can not send mail after issue update

2024-08-17 02:48 - cui jiuchao

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

1. redmine5.1.3 test mail is ok

2. redmine5.1.3 will auto send mail when I modify the API config to true or false

3. redmine5.1.3 cannot send mail if issue create or update. I had config all send condition to true

4. production.log has no error.

5. I both tested at x86_amd64 or arm64 pc with or without plugins.

6. My env:

Environment:

Redmine version                5.1.3.stable

Ruby version                   3.2.5-p208 (2024-07-26) [arm64-darwin23]

Rails version                  6.1.7.8

Environment                    production

Database adapter               SQLite

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

Redmine settings:

Redmine theme                  Default

SCM:

Git                            2.46.0

Filesystem

Redmine plugins:

additionals                    3.2.0-main

custom_field_sql               2.8

custom_tables                  1.0.7

easy_baseline                  2.0

easy_gantt                     2.0

easy_gantt_pro                 2.0

issue_charts                   1.3.0_4

mega_calendar                  1.9.8

microsoft_project_connector    1.0.16

periodictask                   5.0.0

redmine_activity_report        1.2.10_3

redmine_agile                  1.6.9

redmine_all_files              0.0.4

redmine_banner                 0.3.4

redmine_checklists             3.1.24

redmine_code_review            1.1.1

redmine_context_menu_dates     0.0.2

redmine_custom_fields_groups   1.0.0

redmine_custom_workflows       2.1.2

redmine_dark                   1.0.2

redmine_dashboard              2.15.0

redmine_description_macros     0.0.1

redmine_dmsf                   3.2.0

redmine_drawio                 1.4.8

redmine_extended_watchers      5.1.2

redmine_hide_estimated_hours   1.0.18

redmine_indicator              0.2.16

redmine_issue_dynamic_edit     0.9.2

redmine_issue_hierarchy_filter 0.1.1

redmine_issue_templates        1.1.2

redmine_issue_trash            1.0.2
redmine_issue_view_columns     2.0.3

redmine_kanban                 2.3.2

redmine_percent_done           2.0.0

redmine_quick_replies          1.4.0

redmine_recurring_tasks        0.3.4_1

redmine_scheduling_poll        5.0.0

redmine_theme_changer          0.6.0

redmine_watermark              1.0.1

redmine_web_forms              1.0.0

redmine_whining                0.0.4_4

redmine_wktime                 4.7.3

redmine_work_time              0.4.1

redmine_workload               3.0.2

redmine_xlsx_format_issue_exporter 0.2.1
History

#1 - 2024-08-19 17:22 - cui jiuchao

There is a warning (The version chanaged to 5.1 stable and change smtp to sendmail):W, [2024-08-19T23:16:58.115760 #94781]  WARN -- :

[ActiveJob] [ActionMailer::MailDeliveryJob] [edef2baa-f60e-4e42-8729-0fe3064e1ecb] DEPRECATION WARNING: Initializing Mail::Sendmail with

:arguments of type String is deprecated. Instead ensure :arguments is an array of strings, e.g. ["-i", "-t"] (called from mail at

/Users/haridson/SCM/redmine-5.1_stable/app/models/mailer.rb:711)

#2 - 2024-08-19 18:11 - cui jiuchao

This problem has been fixed. My config is no send mail to me which operate by myself

#3 - 2024-08-20 22:18 - Holger Just

- Status changed from New to Closed

- Resolution set to Invalid

Thanks for your feedback. As this is not a defect, I'm closing this issue.

#4 - 2024-11-05 08:58 - Maksim Volkau

Did this warning

(W, [2024-08-19T23:16:58.115760 #94781] WARN -- : [ActiveJob] [ActionMailer::MailDeliveryJob] [edef2baa-f60e-4e42-8729-0fe3064e1ecb]

DEPRECATION WARNING: Initializing Mail::Sendmail with :arguments of type String is deprecated. Instead ensure :arguments is an array of strings,

e.g. ["-i", "-t"] (called from mail at /Users/haridson/SCM/redmine-5.1_stable/app/models/mailer.rb:711))

disappear after you changed the config?

cui jiuchao wrote in #note-2:

This problem has been fixed. My config is no send mail to me which operate by myself
